@echo off

:: Check for python 2.x
python --version 2>NUL
if errorlevel 1 goto errorNoPython

echo -----------------------------------------------------------------------------------------------------------
echo.
echo This .bat file will automatically generate a gaussianWeights.fx file with the number of taps you specify.
echo If you don't know what that means, think of it as the bloom radius. More taps = bigger radius.
echo However, more taps also means a larger performance impact. 
echo You will be prompted to enter the number of horizontal taps and vertical taps separately.
echo Use a different number of taps for each for an anamorphic (oval) bloom.
echo Use the same number of taps for each for a traditional isomorphic (circular) bloom.
echo Lost? Try defaulting to a balanced 9 taps, or stepping up to 17 (or even 29), or dropping down to 5!
echo.
echo -----------------------------------------------------------------------------------------------------------
set /p taps="Enter the number of desired horizontal filter taps: "
echo -----------------------------------------------------------------------------------------------------------
python gaussianGenerator.py --taps %taps% --notfinal
echo -----------------------------------------------------------------------------------------------------------
set /p taps="Enter the number of desired vertical filter taps: "
echo -----------------------------------------------------------------------------------------------------------
python gaussianGenerator.py --taps %taps% --prefix gaussianVert --append
pause 
goto:eof

:errorNoPython 
echo Error^: Could not find suitable Python installation (it needs to be in your PATH for this .bat to work)
pause